about summary refs log tree commit diff
path: root/scripts/toggle-compton.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xscripts/toggle-compton.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/scripts/toggle-compton.sh b/scripts/toggle-compton.sh
index 91ebc4d..ee3c880 100755
--- a/scripts/toggle-compton.sh
+++ b/scripts/toggle-compton.sh
@@ -1,8 +1,8 @@
 #!/usr/bin/env bash
 
-if [[ $(pgrep 'compton') ]]
+if ! pgrep compton
 then
-    pkill "compton"
-else
     compton -b --config "${XDG_CONFIG_HOME}/compton.conf"
+else
+    pkill compton
 fi

Consider giving Nix/NixOS a try! <3